MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023931Open CASCADE[OCCT] OCCT:Samplespublic2013-04-24 19:272013-12-19 14:00
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023931: Incorrect image export code in MFC sample
DescriptionOCC_3dView::OnFileExportImage() method in the standard MFC sample application contains several mistakes and should be corrected:

1. List of supported file filters includes EMF format, but this format is not supported by the non-patched version of gl2ps library, so EMF format should be removed from the list.

2. Value of exFormat variable passed as the second argument to Visual3d_View::Export() method is correct only for PS and EPS formats and incorrect for other vector file formats.

In general, it is necessary to check that all OCCT samples use the same image export logic and the same list of supported image formats.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0026827)
aba (developer)
2013-11-21 16:22
edited on: 2013-11-21 16:25

The code of export methods in MFC samples was revised.

1) In OCC MFC samples OCC_BaseDoc::ExportView() and OCC_BaseDoc::SupportedImageFormats() methods were added to unify export procedure in all MFC samples.
2)In OCC Products MFC samples OnFileExportImage() events were correctd in BestFit, CollisionDetection, MeshFW, ShapeHealing and XDE samples.

The Git branches CR23931 in OCC and Products repositories are ready for review.

Dear san,
please review.

(0026848)
san (developer)
2013-11-22 15:11

The Git branches CR23931 in OCC and Products repositories reviewed without remarks.

Dear bugmaster,

Please, test MFC samples for OCCT and Products.
(0026882)
apn (administrator)
2013-11-25 14:41

Compilation error in occt MFC samples on current master:

..\..\..\src\ModelClippingDlg.cpp(123) : error C2039: 'Contains' : is not a member of 'NCollection_Sequence<TheItemType>'
   Creating library ../../../../win32\vc9\bin/ImportExport.lib and object ../../../../win32\vc9\bin/ImportExport.exp
        with
        [
            TheItemType=Handle_Graphic3d_ClipPlane
        ]
..\..\..\src\ModelClippingDlg.cpp(191) : error C2039: 'Contains' : is not a member of 'NCollection_Sequence<TheItemType>'
        with
        [
            TheItemType=Handle_Graphic3d_ClipPlane
        ]


Compilation errors in products MFC samples on current master:

OCC_3dBaseDoc.cpp
..\Common\OCC_3dBaseDoc.cpp(277) : error C2660: 'AIS_InteractiveContext::Erase' : function does not take 3 arguments

.\src\SampleCollisionDetectionView.cpp(242) : error C2027: use of undefined type 'Visual3d_View'
        w:\builds\vc9\23931-oc\inc\Handle_Visual3d_View.hxx(23) : see declaration of 'Visual3d_View'
.\src\SampleCollisionDetectionView.cpp(242) : error C2039: 'Export' : is not a member of 'Handle_Visual3d_View'
        w:\builds\vc9\23931-oc\inc\Handle_Visual3d_View.hxx(25) : see declaration of 'Handle_Visual3d_View'
(0026916)
aba (developer)
2013-11-26 12:49

Compilation errors were corrected.
Dear apn,
please check.
(0026977)
apn (administrator)
2013-11-28 13:21
edited on: 2013-11-28 13:23

Compilation errors in products MFC samples (xde):

.\src\XDESampleView3D.cpp(221) : error C2308: concatenating mismatched strings
        Concatenating wide "BMP Files (*.BMP)|*.bmp|EXR Files (*.EXR)|*.exr|TGA Files (*.TGA)|*.tga|" with narrow "PPM Files (*.PPM)|*.ppm|JPEG Files(*.JPEG)|*.jpeg|PNG Files (*.PNG)|*.png|"
.\src\XDESampleView3D.cpp(221) : error C2308: concatenating mismatched strings
        Concatenating wide "BMP Files (*.BMP)|*.bmp|EXR Files (*.EXR)|*.exr|TGA Files (*.TGA)|*.tga|" with narrow "GIF Files (*.GIF)|*.gif|TIFF Files (*.TIFF)|*.tiff|PS Files (*.PS)|*.ps|"
.\src\XDESampleView3D.cpp(221) : error C2308: concatenating mismatched strings
        Concatenating wide "BMP Files (*.BMP)|*.bmp|EXR Files (*.EXR)|*.exr|TGA Files (*.TGA)|*.tga|" with narrow "EPS Files (*.EPS)|*.eps|TEX Files (*.TEX)|*.tex|PDF Files (*.PDF)|*.pdf"
.\src\XDESampleView3D.cpp(221) : error C2308: concatenating mismatched strings
        Concatenating wide "BMP Files (*.BMP)|*.bmp|EXR Files (*.EXR)|*.exr|TGA Files (*.TGA)|*.tga|" with narrow "|SVG Files (*.SVG)|*.svg|PGF Files (*.PGF)|*.pgf||"
.\src\XDESampleView3D.cpp(225) : error C2664: 'CFileDialog::CFileDialog(BOOL,LPCTSTR,LPCTSTR,DWORD,LPCTSTR,CWnd *,DWORD,BOOL)' : cannot convert parameter 2 from 'const char [6]' to 'LPCTSTR'
        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
.\src\XDESampleView3D.cpp(234) : error C2664: 'ATL::CStringT<BaseType,StringTraits>::CompareNoCase' : cannot convert parameter 1 from 'const char [3]' to 'const wchar_t *'
        with
        [
            BaseType=wchar_t,
            StringTraits=StrTraitMFC_DLL<wchar_t>
        ]
        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
.\src\XDESampleView3D.cpp(234) : error C2664: 'ATL::CStringT<BaseType,StringTraits>::CompareNoCase' : cannot convert parameter 1 from 'const char [4]' to 'const wchar_t *'
        with
        [
            BaseType=wchar_t,
            StringTraits=StrTraitMFC_DLL<wchar_t>
        ]
        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast

.\src\XDESampleView3D.cpp(245) : error C2664: 'Visual3d_View::Export' : cannot convert parameter 1 from 'CString' to 'const Standard_CString'
        No user-defined-conversion operator available that can perform this conversion, or the operator cannot be called
.\src\XDESampleView3D.cpp(248) : error C2664: 'V3d_View::Dump' : cannot convert parameter 1 from 'CString' to 'const Standard_CString'
        No user-defined-conversion operator available that can perform this conversion, or the operator cannot be called

(0027038)
apn (administrator)
2013-12-03 10:44
edited on: 2013-12-03 10:44

OCCT and PRODUCTS branches CR23931 were rebased on current master and successfully tested.


- Related Changesets
occt: master 12c76bee
Timestamp: 2013-12-05 11:03:53
Author: aba
Committer: bugmaster
Details ] Diff ]
0023931: Incorrect image export code in MFC sample: Added OCC_BaseDoc::ExportView() method to unify image export procedure in all MFC samples.

Compilation errors were corrected.
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryView.cpp Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/Viewer2dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/ModelClippingDlg.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3d.rc Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/res/Triangulation.rc Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/TriangulationDoc.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationDoc.h Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationView3D.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemo.rc Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemoDoc.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemoDoc.h Diff ] File ]
mod - samples/mfc/standard/Common/OCC_2dView.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.h Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dView.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_BaseDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_BaseDoc.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-04-24 19:27 san New Issue
2013-04-24 19:27 san Assigned To => bugmaster
2013-04-24 19:28 san Relationship added related to 0023924
2013-11-19 17:56 san Assigned To bugmaster => aba
2013-11-19 17:56 san Status new => assigned
2013-11-21 16:22 aba Note Added: 0026827
2013-11-21 16:22 aba Assigned To aba => san
2013-11-21 16:22 aba Status assigned => resolved
2013-11-21 16:25 aba Note Edited: 0026827 View Revisions
2013-11-22 15:11 san Note Added: 0026848
2013-11-22 15:11 san Assigned To san => bugmaster
2013-11-22 15:11 san Status resolved => reviewed
2013-11-22 15:44 apn Assigned To bugmaster => apn
2013-11-25 14:41 apn Note Added: 0026882
2013-11-25 14:42 apn Assigned To apn => aba
2013-11-25 14:42 apn Status reviewed => feedback
2013-11-26 12:48 aba Status feedback => resolved
2013-11-26 12:49 aba Note Added: 0026916
2013-11-26 12:49 aba Assigned To aba => apn
2013-11-26 12:49 aba Status resolved => reviewed
2013-11-28 13:21 apn Note Added: 0026977
2013-11-28 13:23 apn Note Edited: 0026977 View Revisions
2013-12-03 10:44 apn Note Added: 0027038
2013-12-03 10:44 apn Note Edited: 0027038 View Revisions
2013-12-03 10:45 apn Test case number => Not needed
2013-12-03 10:45 apn Assigned To apn => bugmaster
2013-12-03 10:45 apn Status reviewed => tested
2013-12-06 17:57 bugmaster Changeset attached => occt master 12c76bee
2013-12-06 17:57 bugmaster Status tested => verified
2013-12-06 17:57 bugmaster Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:59 abv Category OCCT Release:MFC => OCCT Release:Samples
2014-01-11 12:02 abv Category OCCT Release:Samples => OCCT:Samples


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker